# This test looks for a failure message from the config-test when it finds an
# unreadable directory

if [ "${UID}" == 0 ]
then
  mkdir ${TMPDIR}/${TEST_NUM}-rdns_blacklist.d
  chmod 000 ${TMPDIR}/${TEST_NUM}-rdns_blacklist.d

  pushd ..
  su $4 ./subrun ${TEST_NUM} $1 $2 $3 $4
  popd

  output=`grep "Portions of directory tree and/or some files are not readable: ${TMPDIR}/${TEST_NUM}-rdns_blacklist.d" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    output=`grep -E "ERROR: Tests complete. Errors detected." ${TMPDIR}/${TEST_NUM}-output.txt`
    if [ ! -z "${output}" ]
    then
      outcome="success"
    else
      echo Failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo "${SPAMDYKE_PATH} -l3 --rdns-blacklist-dir ${TMPDIR}/${TEST_NUM}-rdns_blacklist.d --config-test > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
  ${SPAMDYKE_PATH} -l3 --rdns-blacklist-dir ${TMPDIR}/${TEST_NUM}-rdns_blacklist.d --config-test > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1
fi
